package com.lantone.qc.kernel.catalogue.consultation;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.consultation.ConsultationDoc;
import com.lantone.qc.pub.model.doc.consultation.ConsultationResultsDoc;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @ClassName : CON0549
 * @Description : 会诊结果单中会诊医师未签名
 * @Author : 胡敬
 * @Date: 2020-03-28 13:37
 */
@Component
public class CON0549 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        List<ConsultationDoc> consultationDocs = inputInfo.getConsultationDocs();
        if (consultationDocs.size() == 0) {
            return;
        }
        for (ConsultationDoc consultationDoc : consultationDocs) {
            ConsultationResultsDoc consultationResultsDoc = consultationDoc.getConsultationResultsDoc();
            if (consultationResultsDoc == null) {
                continue;
            }
            Map<String, String> consultationResultStructureMap = consultationResultsDoc.getStructureMap();
            if(consultationResultStructureMap.containsKey("医师签名")){
                String consultationDateStr = consultationResultStructureMap.get("医师签名");
                if (CatalogueUtil.isEmpty(consultationDateStr)) {
                    status.set("-1");
                    return;
                }
            }

        }
    }
}